#! /usr/local/bin/perl

use NKF;

$version = '1.3';
$release = 'Aoi MATSUBARA Release 3';
$copyright = '(C)1998,1999 X TrueType Server Project  All rights reserved.';

$srcSuffix = "mix";
$engSuffix = "eng";
$jpnSuffix = "jis";
$comment  = '@@@comment@@@';
$japanese = '@@@japanese@@@';
$null     = '@@@null@@@';
$english  = '@@@english@@@';
$verTag = '@@@version@@@';
$relTag = '@@@release@@@';
$cpyTag = '@@@copyright@@@';
$putdir = 'dist';
$lang = 0; # 0:japanese, 1:english, -1:null


$putdir .= '/' if $putdir ne '';

sub putline
{
    local($line) = shift;
    if (0 == $lang) {
        print JAPANESE nkf("-j -E", $line);
    } elsif (1 == $lang) {
        print ENGLISH $line;
    } else {
        ; # NULL
    }
}

if ($#ARGV < 0) {
    print STDERR "usage $0 <filename> ...\n";
    exit -1;
}

foreach $files (@ARGV) {
    $prefix = $files;
    $prefix =~ s/\.$srcSuffix//;
    print STDERR "$prefix:\n";
    open(SOURCE, "$prefix.$srcSuffix");
    open(JAPANESE, ">$putdir$prefix.$jpnSuffix");
    open(ENGLISH, ">$putdir$prefix.$engSuffix");
    while (<SOURCE>) {
        s/$verTag/$version/oig;
        s/$relTag/$release/oig;
        s/$cpyTag/$copyright/oig;
        unless (m,^$comment,oi) {
            if (m,^$japanese,oi) {
                $lang = 0;
            } elsif (m,^$english,oi) {
                $lang = 1;
            } elsif (m,^$null,oi) {
                $lang = -1;
            } else {
                putline($_);
            }
        }
    }
}

# end of file
